=== debian/changelog ===
supertuxkart (1.3+dfsg1-3) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS on armhf.
    Thanks to Michael Hudson-Doyle for the patch (Closes: #1006141)

 -- Reiner Herrmann <reiner@reiner-h.de>  Tue, 22 Feb 2022 01:23:34 +0100

supertuxkart (1.3+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * Import patch to fix FTBFS on mips. (Closes: #995839)

 -- Reiner Herrmann <reiner@reiner-h.de>  Thu, 07 Oct 2021 23:37:58 +0200

supertuxkart (1.3+dfsg1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - update Files-Excluded for new release
    - drop asset-replacements which are now part of new release
    - drop asset replacements from d/source/include-binaries
    - drop embedded libraries dnsc and mojoal from upstream source
    - drop patches applied upstream and refresh others
  * Cherry-pick upstream patch that updates bundled cert store.
  * Drop libglew-dev from build dependencies.
  * Build-depend on libmbedtls-dev instead of nettle-dev for cryptography.
    - nettle support has been dropped upstream
  * Bump Standards-Version to 4.6.0.
  * Update d/copyright.
  * Drop d/clean.
  * /usr/share/pixmaps is no longer installed.
  * Remove dbgsym migration, as it has been released in stable.
  * Symlink two new font files.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sun, 03 Oct 2021 17:52:46 +0200
